iMac


iMac
Originally uploaded by andyhuey

When I agreed to develop a Mac app for a client, I’m not sure why I agreed to make it backward-compatible to OS 10.4. Now I’m stuck testing my app on this crazy thing.

The weird thing about Cocoa development is that there are perfectly innocuous things that work fine on 10.6, but don’t work at all on 10.4. And that don’t throw errors either, so it’s pretty hard to nail them down.

Leave a Reply